/*
 * @Description:5 * @Date: 2020-06-13 09:32:04
 * @Author: 吳星萍 iris@e-besthealth.com
 * @LastEditors: 吳星萍 iris@e-besthealth.com
 * @LastEditTime: 2020-06-19 11:16:29
 * @copyright: BEST HEALTH ELECTRONIC INC (c) 2019
 */
#include "common.h"

void main()
{
	// 判斷是否為上電復位或者非正常情況下的復位
	// 如果是上電復位，執行上電復位初始化，反之執行WDT溢出初始化
	if (_to == 0 || _pdf ==0)
	{
		// System
		Drv_SysClockInit();
		SET_WDTTIME_125MS();
	}
	else
	{
		// WDT溢出復位初始化
		GCC_CLRWDT();

	}
	//主循環
	while(1)
	{
		GCC_CLRWDT();

	}
}